<form class='main-content'>
	<p class='hint'>You have discovered new features in Little Helper 🦎...</p>

	<section class='content'>
	{{#each sorted}}
		<details class='group' open>
			<summary class='title'>{{localize label}}</summary>
			<ul>
				{{#each group as |feature|}}
				<li class='setting {{#if disabled}}disabled{{/if}} {{#if gmOnly}}gm{{/if}}' data-setting-id='{{setting}}'>
					<input id='little-helper-client-{{setting}}' type='checkbox' data-dtype='Boolean' name='{{setting}}.enabled' {{checked (and enabled (not disabled))}} {{#if disabled}}disabled{{/if}}>
					<label for='little-helper-client-{{setting}}'>
						{{label}}
						{{#if disabled}}
							{{#if gmOnly}}{{#unless @root.isGM}} (GM-only){{/unless}}{{/if}}
							{{#if requirements}}
								{{#if requirements.module}} (module missing/inactive){{/if}}
								{{#if requirements.system}} (need system version: {{requirements.system}}){{/if}}
								{{#if requirements.core}} (need Foundry version: {{requirements.core}}){{/if}}
							{{/if}}
							{{#if conflict}} (conflict(s): {{#if conflict.system}}PF1 {{conflict.system}}{{/if}}{{#if conflict.core}}{{#if conflict.system}} & {{/if}}Foundry {{conflict.core}}{{/if}}{{#if conflict.module}}{{#if (or conflict.system conflict.core)}} & {{/if}}<i>{{conflict.module}}</i> module{{/if}}){{/if}}
						{{/if}}
					</label>
					{{#if gmOnly}} <i class='{{@root.icons.crown.string}} gm-only' data-tooltip='GM-only' data-tooltip-direction='UP'></i>{{/if}}
					<p class='hint'>{{hint}}</p>
					{{#if notification}}<p class='hint lh-notification'>{{notification}}</p>{{/if}}
					{{#if warning}}<p class='hint lh-warning'>{{warning}}</p>{{/if}}
					{{#if subsettings}}
					{{~> "modules/koboldworks-pf1-little-helper/template/subsettings.hbs" settings=subsettings parent=setting}}
					{{/if}}
				</li>
				{{/each}}
			</ul>
		</details>
	{{/each}}
	</section>

	<div class='buttons'>
		<hr>
		<button type='submit'><i class='{{@root.icons.save.string}}'></i> Save new settings and don't show this again.</button>
	</div>
</form>
